
QGIS Application - Bug report #18004

QGIS processing core dumped when using gdal trunk

2018-01-30 10:32 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25900

Description

I am trying to run Raster Extraction by extent (gdal tool) from the Processing. QGIS crashes.

Attached is the trace file.

Associated revisions

Revision 6096e5c2 - 2018-02-12 10:24 AM - Martin Dobias

Fix crash after running GDAL alg from processing (fixes #18004)

This was happening only with GDAL trunk

Processing first tries to load output as a vector, then as a raster

and output from raster algs would crash in OGR provider constructor

due to null pointer

History

#1 - 2018-01-30 10:34 AM - Saber Razmjooei

- Assignee deleted (Victor Olaya)

The same process works fine with gdal trunk + QGIS 2.18

#2 - 2018-01-30 11:06 AM - Stephen Eastmead

Is this similar to #17994?

#3 - 2018-02-12 05:51 AM - Mathieu Pellerin - nIRV

Is this issue a duplicate of an earlier reported #17776?

#4 - 2018-02-12 10:23 AM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|6096e5c25d2e0966f0287571a1194b1fcccf9be5.

#5 - 2018-02-21 09:28 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

trace.txt 26 KB 2018-01-30 Saber Razmjooei
